<?php

use App\Http\Controllers\HRM\SalaryController;
use App\Http\Controllers\HRM\SalaryComponentController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware' => ['auth', 'company'], 'prefix' => 'hrm', 'as' => 'hrm.'], function () {
    // Salary routes
    Route::resource('salaries', SalaryController::class);

    // Salary components
    Route::resource('salary-components', SalaryComponentController::class);
});
